netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
nbp.c File Reference
`#include <stdlib.h>`
`#include <string.h>`
`#include <errno.h>`
`#include <atalk/logger.h>`
`#include <sys/types.h>`
`#include <sys/param.h>`
`#include <sys/socket.h>`
`#include <sys/ioctl.h>`
`#include <net/if.h>`
`#include <netatalk/at.h>`
`#include <atalk/ddp.h>`
`#include <atalk/atp.h>`
`#include <atalk/nbp.h>`
`#include <atalk/util.h>`
`#include "atserv.h"`
`#include "interface.h"`
`#include "list.h"`
`#include "rtmp.h"`
`#include "gate.h"`
`#include "zip.h"`
`#include "nbp.h"`
`#include "multicast.h"`

## Functions
static void | nbp_ack (int fd, int nh_op, int nh_id, struct sockaddr_at *to)
int | nbp_packet (struct atport *ap, struct sockaddr_at *from, char *data, int len)

## Variables
int | transition
struct nbptab * | nbptab = NULL

## Function Documentation

## ◆ nbp_ack()

void nbp_ack | ( | int | fd,
|  | int | nh_op,
|  | int | nh_id,
|  | struct sockaddr_at * | to )
| static

## ◆ nbp_packet()

int nbp_packet | ( | struct atport * | ap,
|  | struct sockaddr_at * | from,
|  | char * | data,
|  | int | len )

## Variable Documentation

## ◆ nbptab

struct nbptab* nbptab = NULL

## ◆ transition

int transition
| extern